Bug 707669 - [augeas] Upgrade augeas native libs to version 0.7.4 or later
[augeas] Upgrade augeas native libs to version 0.7.4 or later
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.0.1
All Linux
urgent Severity high (vote)
: ---
: ---
Assigned To: Lukas Krejci
Mike Foley
:
Depends On: jon30-bugs 710034
Blocks: 707693 rhq41
  Show dependency treegraph
 
Reported: 2011-05-25 13:01 EDT by Larry O'Leary
Modified: 2013-09-03 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 707693 (view as bug list)
Environment:
Last Closed: 2013-09-03 12:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2011-05-25 13:01:28 EDT
We are currently packaging Augeas 0.7.1 with the agent installation. There have been memory/resource management improvements introduced in 0.7.4 and later that we will benefit from. Mainly, it appears that 0.7.1 will leak memory when used in certain configurations.

Although we have no hard evidence of the cause, this might actually be the cause of Bug 589674.
Comment 1 Charles Crouch 2011-06-01 10:21:03 EDT
One thing we could consider is upgrading to the latest stable version of Augeas, instead of just 0.74

Assigning to Lukas, to do as part of the apache testing framework
Comment 2 Lukas Krejci 2011-06-01 10:54:58 EDT
I believe the latest stable version of augeas has the regression that prevents us from using it.

https://fedorahosted.org/augeas/ticket/200
Comment 3 Lukas Krejci 2011-06-02 06:20:04 EDT
Ok, the problem seems to be more complicated.

The bug I reported against augeas seems to be specific to Fedora:
https://bugzilla.redhat.com/show_bug.cgi?id=710034

I'll get in touch with David Lutterkort to make sense of this.
Comment 4 Charles Crouch 2011-08-09 18:08:49 EDT
This doesnt need to get into the RHQ beta but it should get into the 4.1 final
Comment 5 Lukas Krejci 2011-08-31 11:29:35 EDT
commit 405c128a92bd65d24dad5ae40b26e2b6bfc12a84
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Wed Aug 31 17:27:43 2011 +0200

    BZ 707669 - The bundled native augeas libraries have been bumped to version 0.9.0.
Comment 6 Lukas Krejci 2011-08-31 12:05:26 EDT
commit e7acb51347c550e38c5a35d6a5fbba61e5908110
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Wed Aug 31 18:03:07 2011 +0200

    BZ 707669 - Forgot to check in the plugin-container pom that actually fetches the augeas-native as its dependency.
Comment 7 Venkat 2011-09-08 08:43:14 EDT
Tested by enabling augeas support = yes in apache resource->Inventory->Connection Settings..then i can see the configurations..
Then I added a port for example 83, in configuration and saved.  it worked fine.

Verified by adding a Name Virtual Host in apache configuration....Also updated configuration change in virtual host. Reading and updating configuration works fine.

Only the problem is if we don't set  Enable augeas support = yes in apache resource->Inventory->Connection Settings   and if we click on Configuration tab, it gives the error 'Globally Uncought Exception (736136)
There is already a bug filed for the above mentiioned ..https://bugzilla.redhat.com/show_bug.cgi?id=736136

Marking this a verified....
Comment 8 Heiko W. Rupp 2013-09-03 12:57:50 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.